/* ecc.h, nobodyo<nospam>@</nospam>web.de 2004 */


/* Standard bits: The first 8 are platform independent if the radix in which
   numbers are represented is 2 and no stuffing bits are present. */
//////////// Caution: The numbers (behind BIT) are hexadecimal!!! ////////////
#ifndef BIT0                    /* ifdef to avoid redefinition; existing definitions should be ok */
#   define BIT0                (0x1)    // 2^0
#endif
#ifndef BIT1
#   define BIT1                (0x2)
#endif
#ifndef BIT2
#   define BIT2                (0x4)
#endif
#ifndef BIT3
#   define BIT3                (0x8)
#endif
#ifndef BIT4
#   define BIT4                (0x10)   // 16
#endif
#ifndef BIT5
#   define BIT5                (0x20)   // 32
#endif
#ifndef BIT6
#   define BIT6                (0x40)   // 64
#endif
#ifndef BIT7
#   define BIT7                (0x80)   // 128
#endif
/* ------------ limit for 8 bit and endianess independence ------------ */
#ifndef BIT8
#   define BIT8                (0x100)  // 256
#endif
#ifndef BIT9
#   define BIT9                (0x200)  // 512
#endif
#ifndef BITA
#   define BITA                (0x400)  // 1024, 2^(10)
#endif
#ifndef BITB
#   define BITB                (0x800)  // 2048
#endif
#ifndef BITC
#   define BITC                (0x1000) // 4096
#endif
#ifndef BITD
#   define BITD                (0x2000) // 8182
#endif
#ifndef BITE
#   define BITE                (0x4000) // 16384
#endif
#ifndef BITF
#   define BITF                (0x8000) // 32768
#endif
/* ---- limit for 16 bit ------ */
#ifndef BIT10
#   define BIT10                (0x10000)       // 65536, 2^(16)
#endif
#ifndef BIT11
#   define BIT11               (0x20000)        // 131072
#endif
#ifndef BIT12
#   define BIT12               (0x40000)        // 262144
#endif
#ifndef BIT13
#   define BIT13               (0x80000)        // 524288
#endif
#ifndef BIT14
#   define BIT14               (0x100000)       // 1048576, 2^(20)
#endif
#ifndef BIT15
#   define BIT15               (0x200000)       // 2097152
#endif
#ifndef BIT16
#   define BIT16               (0x400000)       // 4914304
#endif
#ifndef BIT17
#   define BIT17               (0x800000)       // 8388608
#endif
#ifndef BIT18
#   define BIT18               (0x1000000)      // 16777216
#endif
#ifndef BIT19
#   define BIT19               (0x2000000)      // 33554432, 2^(25)
#endif
#ifndef BIT1A
#   define BIT1A               (0x4000000)      // 67108864
#endif
#ifndef BIT1B
#   define BIT1B               (0x8000000)      // 134217728
#endif
#ifndef BIT1C
#   define BIT1C               (0x10000000)     // 268435456
#endif
#ifndef BIT1D
#   define BIT1D               (0x20000000)     // 536870912
#endif
#ifndef BIT1E
#   define BIT1E               (0x40000000)     // 1073741824
#endif
#ifndef BIT1F
#   define BIT1F               (0x80000000)     // 2147482648, 2^(31)
#endif


// very fast bitcount (lookup table)
#define mc_BITCOUNT_8(u) bitcounts[u]


// Hamming Distance for 8 bits
#define mc_HAMMING_DISTANCE_8(a, b) mc_BITCOUNT_8((unsigned char)(a^b))


// restrict for gcc and other compilers, replaces command line option --std=c99
#ifndef restrict
#   define restrict __restrict__
#endif

