#define NR_OF_LANGUAGES 2
#define LANGUAGE_MAX_INDEX (NR_OF_LANGUAGES-1)
#define MINIMUM_OF_RUNNING_TIMERS 1
#define GAME_DISPLAY_MESSAGES_DELAY 2000

char menuItems[NR_OF_LANGUAGES][9][20] PROGMEM = {
	{ "Tor nicht werten",  "Gegner-Tor zhlen",   "Debug: Tordaten",  "Neues Spiel", "Siegbedingungen",    "Schwierigkeit", "Konfiguration", "Top 10", "Verlassen" },
	{ "Forfeit own Goal",  "Count opponent Goal", "Debug: Goal data", "New Game",    "Victory Conditions", "Handicaps",     "Configruation", "Top 10", "Exit"      }
};

char menuVictoryItems[NR_OF_LANGUAGES][6][21] PROGMEM = {
	{ "Eigene Tore", "Gegnerische Tore", "Eigene fhrende Tore", "Gegnerische f. Tore", "Sende Bedingungen...",  "< zurck" },
	{ "Own Goals",   "Opponent's Goals", "Own Leading Goals",    "Opponent's L. Goals", "Send Conditions...",    "< back"   }
};

char menuHandicapItems[NR_OF_LANGUAGES][4][23] PROGMEM = {
	{ "Mindestgeschwindigkeit", "Maximalgeschwindigkeit", "Sende Handicaps...",  "< zurck" },
	{ "Minimum Ball Speed",     "Maximum Ball Speed",     "Send Handicaps...",   "< back"   }
};


char menuConfigItems[NR_OF_LANGUAGES][6][15] PROGMEM = {
	{ "Ballgre",     "Kalibrieren", "Lichtschranken", "LCD-Sprache",  "LCD-Kontrast", "< zurck" },
	{ "Ball Diameter", "Calibration", "Test Lightrays", "LCD language", "LCD contrast", "< back"   }
};

char mainMenuLabel[NR_OF_LANGUAGES][10]         PROGMEM = { "Hauptmen",       "Main Menu" };
char languageLabel[NR_OF_LANGUAGES][8]          PROGMEM = { "Deutsch",         "English"   };
char calibrateHeightLabel[NR_OF_LANGUAGES][12]  PROGMEM = { "Fallhhe =",      "Elevation =" };
char debugRxBufferLabel[NR_OF_LANGUAGES][16]    PROGMEM = { "RX-Buffer Debug", "RX-Buffer Debug" };
char debugGoalCounterLabel[NR_OF_LANGUAGES][19] PROGMEM = { "Torzhler Debug", "Goal Counter Debug" };
char enterTop10Label[NR_OF_LANGUAGES][19]       PROGMEM = { "** NEUER REKORD **", "** NEW RECORD **" };

char mainLabelDescription[NR_OF_LANGUAGES][23]  PROGMEM = { "OK: Hauptmen aufrufen",    "OK: Go to Main Menu" };
char mainLabel[13]                   PROGMEM = "Wham-O-Meter";
char splashAuthor[18]                PROGMEM = "Christoph Sllner";
char splashUrl[22]                   PROGMEM = "http://www.mcseven.me";



char confirmNewGameLine1[NR_OF_LANGUAGES][25]        PROGMEM = { "OK: Neues Spiel starten?",    "OK: Start new game?"         };
char confirmTransmit[NR_OF_LANGUAGES][25]            PROGMEM = { "OK: Wirklich bertragen?",    "OK: Really transmit?"        };
char confirmCancelGoalLine1[NR_OF_LANGUAGES][28]     PROGMEM = { "OK: Eigenes Tor stornieren?", "OK: Forfeit own Goal?"       };
char confirmCountGoalLine1[NR_OF_LANGUAGES][25]      PROGMEM = { "OK: Gegner-Tor zhlen?",      "OK: Count opponent Goal?"    };
char waitForConfirmNewGameLine1[NR_OF_LANGUAGES][28] PROGMEM = { "Warte auf Besttigung...",    "Waiting for confirmation..." };
char errorOperationNotPossible[NR_OF_LANGUAGES][24]  PROGMEM = { "Option nicht verfgbar.",     "Option not available."       };
char dnToCancel[NR_OF_LANGUAGES][23]                 PROGMEM = { "DN: Abbrechen & zurck",      "DN: Cancel & back"           };
char dataReceivedLabel[NR_OF_LANGUAGES][17]          PROGMEM = { "Daten empfangen.",            "Data received."              };
char errorHandicapSpeedTooLow[NR_OF_LANGUAGES][26]   PROGMEM = { "Sorry, Ball zu langsam...",   "Sorry, Ball too slow..."     };
char errorHandicapSpeedTooHigh[NR_OF_LANGUAGES][26]  PROGMEM = { "Sorry, Ball zu schnell...",   "Sorry, Ball too fast..."     };
char errorHandicapNoGoal[NR_OF_LANGUAGES][15]        PROGMEM = { "** KEIN TOR **",              "** NO GOAL **"               };


// ** Serial-Konstanten **
// Bitte beachten bei seriellen Nachrichten muss die Hamming-Distanz
// mglichst gro sein. Mindestens zwei unterschiedliche Buchstaben!

// Neues Spiel - Nachrichten
char newGameRequest[5]    PROGMEM = { "NGRQ" };
char newGameCancel[5]     PROGMEM = { "NGCX" };
char newGameConfirm[5]    PROGMEM = { "NGOF" };

// Tore - Nachrichten
char goalOpponentHit[5]   PROGMEM = { "GOHT" };
char goalCanceled[5]      PROGMEM = { "GOCX" };
char goalManuallyAdded[5] PROGMEM = { "GOMA" };

// Sende-Config - Nachrichten
char sendVictoryConfig[5]          PROGMEM = { "TXVG" };
char sendHandicapConfigMaxSpeed[5] PROGMEM = { "TXIS" };
char sendHandicapConfigMinSpeed[5] PROGMEM = { "TXAS" };

enum {
	TIMERSYNC_READY_FOR_MEASURE,
	TIMERSYNC_READY_FOR_CALCULATION,
	TIMERSYNC_TIMER_IS_OVERFLOWN
};

enum {
	FROM_MAINMENU,
	FROM_GAMERUNNING,
	FROM_USART,
	FROM_CONFIGMENU,
	FROM_HANDICAPMENU
};

enum {
	MAINSCREEN,
	MAINSCREEN_DEBUG_RXBUFFER,
	MAINSCREEN_DEBUG_GOALCOUNTER,

	MAINSCREEN_ANIMATE_GOAL,
	MAINSCREEN_ANIMATE_VICTORY,
	MAINSCREEN_ANIMATE_DEFEAT,
	MAINSCREEN_ENTER_TOP10,

	MAINMENU,
	MAINMENU_CANCELGOAL,
	MAINMENU_COUNTGOAL,
	MAINMENU_NEWGAME,
	MAINMENU_NEWGAME_CONFIRM,
	MAINMENU_NEWGAME_WAIT_FOR_CONFIRM,
	MAINMENU_TOP10,

	VICTORY_MENU,
	VICTORY_MENU_OWN_GOALS,
	VICTORY_MENU_OPPONENT_GOALS,
	VICTORY_MENU_OWN_LEADING_GOALS,
	VICTORY_MENU_OPPONENT_LEADING_GOALS,
	VICTORY_MENU_TRANSMIT_CONDITIONS,

	HANDICAP_MENU,
	HANDICAP_MENU_MINSPEED,
	HANDICAP_MENU_MAXSPEED,
	HANDICAP_MENU_TRANSMIT_HANDICAPS,

	CONFIG_MENU,
	CONFIG_MENU_BALLDIAMETER,
	CONFIG_MENU_CALIBRATE,
	CONFIG_MENU_CALIBRATE_MEASURE,
	CONFIG_MENU_TEST_LICHTSCHRANKEN,
	CONFIG_MENU_LCDLANGUAGE,
	CONFIG_MENU_LCDCONTRAST
};
