

/*
 *
 * SansSerif7RegularNumbers
 *
 * created with FontCreator 2.1
 * version 2.0 written by F. Maximilian Thiele, extended by sce
 *
 * http://www.apetech.de/fontCreator
 * me@apetech.de
 *
 * File Name           : font_sansserif7regularnumbers.h
 * Date                : 16.07.2010
 * Font size in bytes  : 79
 * Font width          : 10
 * Font height         : 6
 * Font first char     : 40
 * Font last char      : 60
 * Font used chars     : 20
 *
 * The font data are defined as
 *
 * struct _FONT_ {
 *     uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
 *     uint8_t    font_Width_in_Pixel_for_fixed_drawing;
 *     uint8_t    font_Height_in_Pixel_for_all_characters;
 *     unit8_t    font_First_Char;
 *     uint8_t    font_Char_Count;
 *
 *     uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
 *                  // for each character the separate width in pixels,
 *                  // characters < 128 have an implicit virtual right empty row
 *
 *     uint8_t    font_data[];
 *                  // bit field of all characters
 */

#include <inttypes.h>
#include <avr/pgmspace.h>

#ifndef SANSSERIF7REGULARNUMBERS_H
#define SANSSERIF7REGULARNUMBERS_H

#define SANSSERIF7REGULARNUMBERS_WIDTH 10
#define SANSSERIF7REGULARNUMBERS_HEIGHT 6

static char SansSerif7RegularNumbers[] PROGMEM = {
    0x00, 0x4F, // size
    0x0A, // width
    0x06, // height
    0x28, // first char
    0x14, // char count
    
    // char widths
    0x02, 0x02, 0x02, 0x03, 0x01, 0x02, 0x01, 0x02, 0x04, 0x02, 
    0x03, 0x03, 0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 0x01, 0x01, 
    
    
    // font data
    0x78, 0x84, // 40
    0x84, 0x78, // 41
    0x04, 0x0C, // 42
    0x10, 0x38, 0x10, // 43
    0xC0, // 44
    0x10, 0x10, // 45
    0x40, // 46
    0x70, 0x0C, // 47
    0x38, 0x44, 0x44, 0x38, // 48
    0x08, 0x7C, // 49
    0x64, 0x54, 0x48, // 50
    0x44, 0x54, 0x28, // 51
    0x30, 0x28, 0x7C, 0x20, // 52
    0x5C, 0x54, 0x54, 0x20, // 53
    0x38, 0x54, 0x54, 0x20, // 54
    0x04, 0x74, 0x0C, 0x04, // 55
    0x28, 0x54, 0x54, 0x28, // 56
    0x08, 0x54, 0x54, 0x38, // 57
    0x48, // 58
    0xC8 // 59
    
};

#endif
