// Wie gro ist das LCD in Pixeln?
#define GLCD_WIDTH  132
#define GLCD_HEIGHT  32
#define A0_PORT   PORTB
#define A0_PIN        4
#define glcd_prepare_command() A0_PORT&=~(1<<A0_PIN)
#define glcd_prepare_data()    A0_PORT|=(1<<A0_PIN)
#define PROP_FONT_HEADER_SIZE 6	
#define COLOR_WHITE   0
#define COLOR_BLACK   1

// LCD-Variablen
#if   GLCD_HEIGHT>64
	#error GLCD_HEIGHT bigger than 64 not yet supported.
#elif GLCD_HEIGHT>32
	#define GLCD_VRAM_TYPE uint64_t
#elif GLCD_HEIGHT>16
	#define GLCD_VRAM_TYPE uint32_t
#elif GLCD_HEIGHT>8
	#define GLCD_VRAM_TYPE uint16_t
#elif GLCD_HEIGHT>1
	#define GLCD_VRAM_TYPE uint8_t
#else
	#error GLCD_HEIGHT cannot be smaller than 1.
#endif

GLCD_VRAM_TYPE vram[GLCD_WIDTH];
char           vBuffer[30];      // Display Buffer fr sprintf();

// LCD-Functions
void glcd_hardware_reset();
void glcd_clear();
void glcd_contrast(unsigned char contrast);
void glcd_repaint();

void glcd_setpixel(unsigned char x, unsigned char y);
void glcd_linehorizontal(unsigned char x1, unsigned char y1, unsigned char x2);
void glcd_linevertical(unsigned char x1, unsigned char y1, unsigned char y2);
void glcd_rectangle(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2);
void glcd_line(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2);
void glcd_puts(int x, int y, char *text, PGM_P font, char additionalSpacing, unsigned char color);
void glcd_image(int x, int y, PGM_P image);
void glcd_filledrectangle(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2, unsigned char color);
void spi(unsigned char myByte);
